Skip to main content
PUT
Update service account

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

clientId
string
required

Client ID

Body

application/json
description
string

Service account description

name
string

Service account name

role
enum<string>

Role of the service account in the workspace. Defaults to admin on creation; unchanged on update when omitted.

Available options:
viewer,
member,
admin

Response

200 - application/json

successful operation

client_id
string

Service account client ID

created_at
string

Creation timestamp

description
string

Service account description

name
string

Service account name

role
string

Role of the service account in the workspace

updated_at
string

Last update timestamp

Last modified on October 12, 2026